<ion-header>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-menu-button></ion-menu-button>
    </ion-buttons>
    <ion-title>Liber</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>

  <ion-card>
    <img src="https://www.revistabula.com/wp/wp-content/uploads/2016/01/Livros-610x350.jpg">
    <div class="content">
      <ion-card-subtitle *ngIf="book"> {{book.author}} </ion-card-subtitle>
      <ion-card-title *ngIf="book">{{book.name}}</ion-card-title>
      <ion-card-subtitle *ngIf="book">{{book.condition}}</ion-card-subtitle>
      <ion-card-title class="right" *ngIf="book">R${{book.price}}</ion-card-title>
      <ion-card-content *ngIf="book"> {{book.summary}} </ion-card-content>
      <ion-icon name="heart-outline" color="danger" size="large" ></ion-icon>
    </div>
  </ion-card>

  <div class="comment">
    <ion-label> Comentários </ion-label>
    <form [formGroup]="commentForm" (ngSubmit)="sendComment()" *ngIf="!editMode">
      <div class="form">
        <ion-input type="text" formControlName="text"></ion-input>

        <ion-button fill="clear" type="submit" [disabled]="commentForm.invalid">
          <ion-icon name="send" color="danger"></ion-icon>
        </ion-button>
      </div>
    </form>

    <form [formGroup]="editCommentForm" (ngSubmit)="updateComment()" *ngIf="editMode">
      <div class="form">
        <ion-input type="text" formControlName="text" placeholder="modo de edição"></ion-input>

        <ion-button fill="clear" type="submit" [disabled]="editCommentForm.invalid">
          <ion-icon name="send" color="danger"></ion-icon>
        </ion-button>
        
      </div>
    </form>
  </div>
  <div class="comments">
    <ion-card *ngFor="let comment of comments">
      <ion-card-subtitle> Username </ion-card-subtitle>
      <ion-card-content> {{comment.text}}</ion-card-content>
      
      <div class="buttons">
        <ion-icon name="create-outline" color="danger" (click)="toggleEdit(comment.id)"></ion-icon>
        <ion-icon name="trash" color="danger"></ion-icon>
      </div>
    </ion-card>
  </div>

</ion-content>
